<?php
/**
 * @description {__CONTROLLER_DESCRIPTION__}
 * @Author: {__AUTHOR_DESCRIPTION__}
 * @CreateTime: {__CREATE_TIME__}
 */

namespace Admin\Controller;

class {__CONTROLLER_NAME__}Controller extends AdminController{

    protected ${__MODEL_NAME__};

    public function _initialize(){
        parent::_initialize();
        $this->{__MODEL_NAME__}=D('{__TABLE_NAME__}');
    }

    // {__CONTROLLER_DESCRIPTION__} - 列表
    public function index(){
        $list=$this->lists($this->{__MODEL_NAME__},null,'add_time desc',true);
        $this->assign('list',$list);
        $this->assign('meta_title','{__CONTROLLER_DESCRIPTION__}管理');
        $this->display();
    }

    // {__CONTROLLER_DESCRIPTION__} - 添加
    public function add(){
        if(IS_POST){
            $_POST['update_time'] = NOW_TIME;
            $_POST['add_time'] = NOW_TIME;
            if($this->{__MODEL_NAME__}->create() && $this->{__MODEL_NAME__}->add()){
                    $this->success('{__CONTROLLER_DESCRIPTION__}添加成功',U('index'));
            }
            else{
                $this->error('Err: '.$this->{__MODEL_NAME__}->getDbError());
            }
        }
        else{
            $this->assign('meta_title','添加{__CONTROLLER_DESCRIPTION__}');
            $this->display();
        }
    }

    // {__CONTROLLER_DESCRIPTION__} - 编辑
    public function edit(){
        if(IS_POST){
            $_POST['update_time'] = NOW_TIME;
            if($this->{__MODEL_NAME__}->create() && $this->{__MODEL_NAME__}->save()){
                $this->success('{__CONTROLLER_DESCRIPTION__}更新成功',U('index'));
            }
            else{
                $this->error('Err: '.$this->{__MODEL_NAME__}->getDbError());
            }
        }
        else{
            $this->assign('info',$this->{__MODEL_NAME__}->find(I('get.id')));
            $this->assign('meta_title','编辑{__CONTROLLER_DESCRIPTION__}');
            $this->display('add');
        }
    }

    // {__CONTROLLER_DESCRIPTION__} - 删除
    public function del(){
        $id = array_unique((array) I('id', 0));
        if (empty($id)) {
            $this->error('请选择要操作的数据!');
        }

        $map = array('id' => array('in', $id));
        if ($this->{__MODEL_NAME__}->where($map)->delete()) {
            $this->success('{__CONTROLLER_DESCRIPTION__}删除成功');
        } else {
            $this->error('{__CONTROLLER_DESCRIPTION__}删除失败！' . $this->{__MODULE_NAME__}->getLastSql());
        }
    }
}